package com.care.bigscreen.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.care.bigscreen.entity.StStation;
import com.care.bigscreen.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @author stw
 * @version 1.0
 * @description 站点统计表DAO层接口
 * @date 2021/05/20/19:41
 */
public interface BigSreenMapper extends BaseMapper<StStation> {


    /**
     * 大屏统计查询
     * @return 搜索符合条件的大屏统计数据
     */
    BigScreenStatisticsVO selectBigScreenStatistics(@Param("stationId") Long stationId, @Param("orgId") Long orgId);

    /**
     * 大屏统计查询
     * @return 根据经纬度范围搜索符合条件的大屏统计数据
     */
    BigScreenStatisticsVO selectBigScreenStatisticsByLongitudeLatitude(@Param("longitudeLeftUp") String longitudeLeftUp,@Param("latitudeLeftUp") String latitudeLeftUp,@Param("longitudeRightDown") String longitudeRightDown,@Param("latitudeRightDown")String latitudeRightDown,@Param("orgId") Long orgId);

    /**
     * 站点列表查询
     */
    List<BigScreenStationVO> selectBigScreenStationList(@Param("orgId") Long orgId);

    /**
     * 站点列表用户数TOP5查询
     */
    List<BigScreenStationVO> selectBigScreenStationListOlderTop5(@Param("orgId") Long orgId);

    /**
     * 站点列表安全事件数TOP5查询
     */
    List<BigScreenStationVO> selectBigScreenStationListEventTop5(@Param("orgId") Long orgId);

    /**
     * 服务站大屏的站点统计查询
     * @return 搜索符合条件的大屏统计数据
     */
    BigScreenStationStatisticsVO selectStationBigScreenStatisticsByStation(@Param("stationId") Long stationId);

    /**
     * 告警用户列表查询
     */
    List<BigScreenAlarmOlderVO> selectBigScreenAlarmOlderList(@Param("stationId") Long stationId);

    BigScreenOlderDetailVO selectStationBigScreenOlderDetail(@Param("olderId") Long olderId);

}
